Bug 244846 - /var/tmp/rpm-tmp.25596: line 5: /usr/bin/rebuild-gcj-db: No such file or directory
/var/tmp/rpm-tmp.25596: line 5: /usr/bin/rebuild-gcj-db: No such file or dire...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tomcat5 (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Vivek Lakshmanan
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 10:05 EDT by James Laska
Modified: 2013-09-02 02:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0569
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 06:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2007-06-19 10:05:38 EDT
# TREE RHEL5-Client-20070619.nightly
# ARCH x86_64

install.log contains the following rpm %scriptlet failure

Installing tomcat5-servlet-2.4-api-javadoc - 5.5.23-0jpp.1.0.2.el5.x86_64
/var/tmp/rpm-tmp.25596: line 5: /usr/bin/rebuild-gcj-db: No such file or directory
error: %post(tomcat5-servlet-2.4-api-javadoc-5.5.23-0jpp.1.0.2.el5.x86_64)
scriptlet failed, exit status 127

Looks like /usr/bin//rebuild-gcj-db is not present when the
tomcat5-servlet-2.4-api-javadoc package is installed.  Perhaps   the
tomcat5-servlet-2.4-api-javadoc package needs an explicit %require on jre-gcj or
java-gcj?

# rpm -qR tomcat5-servlet-2.4-api-javadoc
/bin/sh  
coreutils  
coreutils  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

# rpm -qf /usr/bin/rebuild-gcj-db 
java-1.4.2-gcj-compat-1.4.2.0-40jpp.112
Comment 8 Vivek Lakshmanan 2007-06-25 19:05:25 EDT
tomcat5-5_5_23-0jpp_1_0_4_el5 in 5.0.z addresses this
Comment 12 Red Hat Bugzilla 2007-07-17 06:36:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0569.html

Note You need to log in before you can comment on or make changes to this bug.